Bug 1130887 - Executing multiple "template.delete" commands in parallel to "vm.delete" commands, creates a race condition which cause the Blank template to be removed from Data Center
Summary: Executing multiple "template.delete" commands in parallel to "vm.delete" comm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.3
Assignee: Shahar Havivi
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On: 1105211
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 06:50 UTC by rhev-integ
Modified: 2014-10-23 12:30 UTC (History)
14 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.3-1
Doc Type: Bug Fix
Doc Text:
Previously, executing multiple 'template.delete' commands in parallel to 'vm.delete' commands would create a race condition that filled an empty template id with the 'Blank template, removing the 'Blank' template from the environment. Now, an empty template id will prompt the engine to search for and include the appropriate template id, protecting the 'Blank' template from being removed.
Clone Of: 1105211
Environment:
Last Closed: 2014-10-23 12:30:09 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1712 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.4.3 update 2014-10-23 16:29:47 UTC
oVirt gerrit 30760 ovirt-engine-3.4 MERGED engine: set template id in ctor Never
oVirt gerrit 31180 master MERGED engine: Add AddVmTemplateCommand to command executer framework Never

Comment 2 Lukas Svaty 2014-10-14 12:19:29 UTC
verified in av12.2

Comment 4 errata-xmlrpc 2014-10-23 12:30:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1712.html


Note You need to log in before you can comment on or make changes to this bug.